Unusual Whales UnusualWhales API

Prediction Market Details

GET https://api.unusualwhales.com/api/predictions/market/{asset_id}

Request

Security: Bearer Auth Authorization: Bearer <token>

Path Parameters

asset_id string required

Responses

200 404 422 500

Response Body 200 OK

active boolean
Example: true
asset_id string
Example: 78699665722135183571140787397681621204678465342167575193369860798796866652931
category string
Example: Sports
closed boolean
contrarian_whale_trades array[Prediction Trade]
description string
Example: Resolves YES if the Los Angeles Lakers win the 2026 NBA Finals.
end_date string
Example: 2026-08-15T00:00:00Z
image string
Example: https://cdn.unusualwhales.com/predictions/lakers.png
insiders array[Prediction Asset Insider]
liquidity object
mci object
outcome_assets array[Prediction Outcome Asset]
outcome_index integer

Zero-based index of this outcome within the market.

Example: 0
outcomes array[string]
Example: ["Yes","No"]
question string
Example: Will the Lakers win the 2026 NBA Championship?
question_type string
Example: yes_no
smart_trades array[Prediction Trade]
tag_info array[Prediction Tag Info]
tag_scores array[Prediction Asset Tag Score]
tags array[string]
Example: ["smart_money","momentum"]
tags_score string
Example: 1.00
trades array[Prediction Trade]
volume string
Example: 1250000.50
winning_outcome integer

Zero-based index of the winning outcome once the market resolves.

Try It GET
Path Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/predictions/market/{asset_id}" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": {
    "active": true,
    "asset_id": "78699665722135183571140787397681621204678465342167575193369860798796866652931",
    "category": "Sports",
    "closed": false,
    "contrarian_whale_trades": [
      null
    ]
  }
}